Package it.ernytech.tdlib

## Class TdApi.ShippingOption

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ShippingOption

Enclosing class:
  TdApi

    public static class TdApi.ShippingOption
    extends TdApi.Object

One shipping option.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `id` Shipping option identifier.
`TdApi.LabeledPricePart[]` `priceParts` A list of objects used to calculate the total shipping costs.
`java.lang.String` `title` Option title.

### Constructor Summary

Constructors
`ShippingOption()` Default constructor.
`ShippingOption​(java.lang.String id, java.lang.String title, TdApi.LabeledPricePart[] priceParts)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Shipping option identifier.

#### title

    public java.lang.String title

Option title.

#### priceParts

    public TdApi.LabeledPricePart[] priceParts

A list of objects used to calculate the total shipping costs.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ShippingOption

    public ShippingOption()

Default constructor.

#### ShippingOption

    public ShippingOption​(java.lang.String id,
                          java.lang.String title,
                          TdApi.LabeledPricePart[] priceParts)

Constructor for initialization of all fields.

Parameters:
  `id` - Shipping option identifier.
  `title` - Option title.
  `priceParts` - A list of objects used to calculate the total shipping costs.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR